#include <iostream>
#include <algorithm>
#include <math.h>
using namespace std;

int main()
{
   int n;
   cin>>n;
   int a[1000001];
   double p[101];
   int i=0;
   int s=n-1;
   double mani=0;
   double manijak=0;
   double zbirko=0;
   for(;i<n;i++)cin>>a[i]>>p[i];
   sort(p,p+s);
   for(i=s;i>=0;i++){
    zbirko+=(double)a[i];
    manijak=(double)zbirko*(double)p[i]/(double)100;
    if(mani<manijak)mani=(double)manijak;
    }
  
   printf("%.4f", mani);
  
    return 0;
}